Bug 255908 - math/openblas: Fails to build on aarch64
Summary: math/openblas: Fails to build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: http://ampere2.nyi.freebsd.org/data/m...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-15 17:08 UTC by Mikael Urankar
Modified: 2021-05-27 15:07 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (phd_kimberlite)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2021-05-15 17:08:42 UTC
cc -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -O2 -DMAX_STACK_ALLOC=2048 -fopenmp -Wall -DF_INTERFACE_GFORT -fPIC -DNO_AVX -DNO_AVX2 -DSMP_SERVER -DUSE_OPENMP -DNO_WARMUP -DMAX_CPU_NUMBER=64 -DMAX_PARALLEL_NUMBER=1 -DBUILD_SINGLE=1 -DBUILD_DOUBLE=1 -DBUILD_COMPLEX=1 -DBUILD_COMPLEX16=1 -DVERSION=\"0.3.15\" -march=armv8-a -UASMNAME -UASMFNAME -UNAME -UCNAME -UCHAR_NAME -UCHAR_CNAME -DASMNAME= -DASMFNAME=_ -DNAME=_ -DCNAME= -DCHAR_NAME=\"_\" -DCHAR_CNAME=\"\" -DNO_AFFINITY -I. -O2 -DUTEST_CHECK -DSANITY_CHECK -DREFNAME=f_ -DMAX_STACK_ALLOC=2048 -fopenmp -Wall -DF_INTERFACE_GFORT -fPIC -DNO_AVX -DNO_AVX2 -DSMP_SERVER -DUSE_OPENMP -DNO_WARMUP -DMAX_CPU_NUMBER=64 -DMAX_PARALLEL_NUMBER=1 -DBUILD_SINGLE=1 -DBUILD_DOUBLE=1 -DBUILD_COMPLEX=1 -DBUILD_COMPLEX16=1 -DVERSION=\"0.3.15\" -march=armv8-a -UASMNAME -UASMFNAME -UNAME -UCNAME -UCHAR_NAME -UCHAR_CNAME -DASMNAME= -DASMFNAME=_ -DNAME=_ -DCNAME= -DCHAR_NAME=\"_\" -DCHAR_CNAME=\"\" -DNO_AFFINITY -I..  -Wl,-rpath=/usr/local/lib/gcc10  -L/usr/local/lib/gcc10 -B/usr/local/bin -fstack-protector-strong  -o openblas_utest utest_main.o test_min.o test_amax.o test_ismin.o test_rotmg.o test_axpy.o test_dotu.o test_dsdot.o test_swap.o test_rot.o test_potrs.o test_kernel_regress.o ../libopenblas_armv8p-r0.3.15.a -lpthread -lgfortran -lpthread -lgfortran 
/usr/local/bin/ld: test_potrs.o: undefined reference to symbol 'cabs@@FBSD_1.0'
/usr/local/bin/ld: /lib/libm.so.5: error adding symbols: DSO missing from command line
cc: error: linker command failed with exit code 1 (use -v to see invocation)

Reported upstream:
https://github.com/xianyi/OpenBLAS/issues/3234
Comment 1 Mikael Urankar freebsd_committer 2021-05-18 16:40:35 UTC
committed in ports rb51013bd738ec3224f9451f1b572facabb54c52c
Comment 3 commit-hook freebsd_committer 2021-05-27 15:07:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ec82c98536cf13791f30544f1976299b038e566c

commit ec82c98536cf13791f30544f1976299b038e566c
Author:     Mikael Urankar <mikael@FreeBSD.org>
AuthorDate: 2021-05-27 15:04:49 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2021-05-27 15:06:54 +0000

    math/openblas: Fix build on aarch64

    Yet another upstream patch to fix the previous broken patch.

    PR:             255908
    Approved by:    portmgr (build fix blanket)

 math/openblas/Makefile | 3 ++-
 math/openblas/distinfo | 4 +++-
 2 files changed, 5 insertions(+), 2 deletions(-)